List Peer Groups
curl --request GET \
--url https://{tenant_name}.{region}.techwolf.ai/job_architecture/peer_groups \
--header 'Authorization: Bearer <token>'import requests
url = "https://{tenant_name}.{region}.techwolf.ai/job_architecture/peer_groups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{tenant_name}.{region}.techwolf.ai/job_architecture/peer_groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 3,
"results": [
{
"name": "B2B",
"companies": [
"TechWolf",
"Umbrella Corporation",
"Cyberdyne Systems"
]
},
{
"name": "B2C",
"companies": [
"Royal Charter Energy"
]
}
]
}[
{
"title": "401 Unauthorized",
"description": "OAuth access token is missing, invalid or expired."
}
][
{
"title": "403 Forbidden",
"description": "You don't have access to this resource."
}
][
{
"title": "405 Method Not Allowed",
"description": "This method is not allowed for the requested URL."
}
]"max connections reached: <limit>"[
{
"title": "503 Service Unavailable",
"description": "The Skill Engine API is currently not available. Please contact TechWolf or try again later."
}
]Peer Groups
List Peer Groups
Get a list of all the actived peer groups and the companies within them.
List Peer Groups
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Response
OK
Total number of peer groups activated for this tenant.
Required range:
x >= 0Example:
3
The list of peer groups activated for this tenant.
Show child attributes
Show child attributes
Example:
[
{
"name": "B2B",
"companies": [
"TechWolf",
"Umbrella Corporation",
"Cyberdyne Systems"
]
},
{
"name": "B2C",
"companies": ["Royal Charter Energy"]
}
]
Was this page helpful?
⌘I